# Generated by Django 2.2.4 on 2020-05-22 14:37

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='TelethonUpdateState',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('client_session_name', models.CharField(db_index=True, default='default_client', max_length=1000)),
                ('identifier', models.BigIntegerField(db_index=True)),
                ('pts', models.IntegerField(blank=True, null=True)),
                ('qts', models.IntegerField(blank=True, null=True)),
                ('date', models.IntegerField(blank=True, null=True)),
                ('seq', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'unique_together': {('client_session_name', 'identifier')},
                'index_together': {('client_session_name', 'identifier')},
            },
        ),
        migrations.CreateModel(
            name='TelethonSession',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('client_session_name', models.CharField(db_index=True, default='default_client', max_length=1000)),
                ('dc_id', models.BigIntegerField(db_index=True)),
                ('server_address', models.CharField(blank=True, max_length=1000, null=True)),
                ('port', models.IntegerField(blank=True, null=True)),
                ('auth_key', models.BinaryField(editable=True)),
                ('takeout_id', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'unique_together': {('client_session_name', 'dc_id')},
                'index_together': {('client_session_name', 'dc_id')},
            },
        ),
        migrations.CreateModel(
            name='TelethonSentFile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('client_session_name', models.CharField(default='default_client', max_length=1000)),
                ('identifier', models.BigIntegerField()),
                ('md5_digest', models.BinaryField(editable=True)),
                ('file_size', models.IntegerField(blank=True, null=True)),
                ('file_type', models.IntegerField(blank=True, null=True)),
                ('file_id', models.IntegerField(blank=True, null=True)),
                ('hash', models.BigIntegerField(blank=True, null=True)),
            ],
            options={
                'unique_together': {('client_session_name', 'identifier'), ('client_session_name', 'md5_digest', 'file_size', 'file_type')},
                'index_together': {('client_session_name', 'identifier')},
            },
        ),
        migrations.CreateModel(
            name='TelethonEntity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('client_session_name', models.CharField(db_index=True, default='default_client', max_length=1000)),
                ('identifier', models.BigIntegerField(db_index=True)),
                ('hash', models.BigIntegerField()),
                ('username', models.CharField(blank=True, max_length=1000, null=True)),
                ('phone', models.CharField(blank=True, max_length=1000, null=True)),
                ('name', models.CharField(blank=True, max_length=1000, null=True)),
            ],
            options={
                'unique_together': {('client_session_name', 'identifier')},
                'index_together': {('client_session_name', 'identifier')},
            },
        ),
    ]
